org.wso2.carbon.device.mgt.mobile.windows.api.common.authenticator.impl

## Class LocalOAuthValidator

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.common.authenticator.impl.LocalOAuthValidator

- All Implemented Interfaces:
    OAuth2TokenValidator

      public class LocalOAuthValidator
      extends Object
      implements OAuth2TokenValidator

  Handles the OAuth2 token validation from the same server using OSGi services.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalOAuthValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OAuthValidationResponse` | `validateToken(String accessToken, String resource)` This method gets a string accessToken and validates it and generate the OAuthValidationResponse containing the validity and user details if valid.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalOAuthValidator

          public LocalOAuthValidator()

  - ### Method Detail

    - #### validateToken

          public OAuthValidationResponse validateToken(String accessToken,
                                              String resource)
                                                throws OAuthTokenValidationException

      Description copied from interface: `OAuth2TokenValidator`
      This method gets a string accessToken and validates it and generate the OAuthValidationResponse containing the validity and user details if valid.
      Specified by:
        `validateToken` in interface `OAuth2TokenValidator`
      Parameters:
        `accessToken` - which need to be validated.
        `resource` - which need to be validated.
      Returns:
        OAuthValidationResponse with the validated results.
      Throws:
        `OAuthTokenValidationException`

Copyright © 2017 WSO2. All rights reserved.